
Katello - Feature #35959

Replace simple publisher with structured publisher for Debian Repositories

01/17/2023 08:53 AM - Bernhard Suttner

Status: Ready For Testing   

Priority: Normal   

Assignee: Bernhard Suttner   

Category: Repositories   

Target version: Katello Next   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/104

20

  

Description

The Simple Publisher (= everything of the repo is part of component: all, Suite: default) has some bad limitations, like apt-pinning is

not possible. Currently, simple and structured publisher are used in pulp_deb which is additonally a performance issue. We want to

switch to structured publisher completelty and get rid of the simple publisher.

History

#1 - 01/17/2023 08:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/Katello/katello/pull/10420 added

#2 - 01/18/2023 06:43 PM - Jeremy Lenz

- Category set to Repositories

- Target version set to Katello 4.8.0

#3 - 02/01/2023 06:41 PM - Partha Aji

- Triaged changed from No to Yes

#4 - 03/21/2023 04:59 PM - Lucy Fu

- Target version changed from Katello 4.8.0 to Katello 4.9.0

#5 - 06/14/2023 05:58 PM - Partha Aji

- Target version changed from Katello 4.9.0 to Katello 4.11.0

#6 - 12/20/2023 09:13 PM - Ian Ballou

- Target version changed from Katello 4.11.0 to Katello 4.12.0

#7 - 03/27/2024 01:33 PM - Quinn James

- Target version deleted (Katello 4.12.0)

- Triaged changed from Yes to No

- Pull request deleted (https://github.com/Katello/katello/pull/10420)

Removing target version for 4.12 RC/GA re-triage

#8 - 03/27/2024 05:44 PM - Jeremy Lenz

- Target version set to Katello Next

- Triaged changed from No to Yes

- Pull request https://github.com/Katello/katello/pull/10420 added
